<?php
function redirect_to($location = NULL)
	{
		if($location != NULL)
		{
			header("Location: {$location}");
			exit;
		}
	}
function include_layout($layout)
	{
		include(SITE_ROOT.DS.'free-fax-south-africa-layouts'.DS.$layout);
	}
	
function strip_zeros_from_data($marked_string="")
	{
		// first remove the marked zeros
		$no_zeros = str_replace('*0', '', $marked_string);
		// then remove any remaining marks
		$cleaned_string = str_replace('*', '', $no_zeros);
		return $cleaned_string;
	}
	
function output_message($message="")
	{
		if (!empty($message))
		{
			return "<p class=\"message\">{$message}</p>";
		} else
		{
			return "";
		}
	}

function __autoload($class_name)
{
		$class_name = strtolower($class_name);
		$path = LIB_PATH.DS."email-fax-south-africa-{$class_name}.php";
		if(file_exists($path))
		{
			require_once($path);
		} else
		{
			die("The file {$class_name}.php could not be found.");
		}
}


function datetime_to_text($datetime="")
{
	$unixdatetime = strtotime($datetime);
	return strftime("%B %d, %Y at %I:%M %p", $unixdatetime);
}

function prepare_link($name)
{   
	$name 	= strtolower(str_replace("-&","",str_replace(" ","-",$name)));
	
	// replace special characters
	$name	= str_replace('', "a", $name);
	$name	= str_replace('', "a", $name);
	$name	= str_replace('&auml;', "a", $name);
	$name	= str_replace('&agrave;', "a", $name);
	$name	= str_replace('&acirc;', "a", $name);
	$name	= str_replace('&atilde;', "a", $name);
	$name	= str_replace('&aacute;', "a", $name);
	$name	= str_replace('&aring;', "a", $name);
	
	$name	= str_replace('', "e", $name);
	$name	= str_replace('', "e", $name);
	$name	= str_replace('&euml;', "e", $name);
	$name	= str_replace('&egrave;', "e", $name);
	$name	= str_replace('&ecirc;', "e", $name);
	$name	= str_replace('&eacute;', "e", $name);
	
	$name	= str_replace('', "i", $name);
	$name	= str_replace('', "i", $name);
	$name	= str_replace('&iuml;', "i", $name);
	$name	= str_replace('&igrave;', "i", $name);
	$name	= str_replace('&icirc;', "i", $name);
	$name	= str_replace('&iacute;', "i", $name);
	
	$name	= str_replace('', "o", $name);
	$name	= str_replace('', "o", $name);
	$name	= str_replace('&ouml;', "o", $name);
	$name	= str_replace('&ograve;', "o", $name);
	$name	= str_replace('&ocirc;', "o", $name);
	$name	= str_replace('&oacute;', "o", $name);
	$name	= str_replace('&otilde;', "o", $name);
	
	$name	= str_replace('', "u", $name);
	$name	= str_replace('', "u", $name);
	$name	= str_replace('&uuml;', "u", $name);
	$name	= str_replace('&ugrave;', "u", $name);
	$name	= str_replace('&ucirc;', "u", $name);
	$name	= str_replace('&uacute;', "u", $name);
	
	$name 	= str_replace('', "y", $name);
	$name	= str_replace('&yuml;', "y", $name);
	$name	= str_replace('&yacute;', "y", $name);
	
	$name	= str_replace('', "ny", $name);
	$name	= str_replace('', "ss", $name); 
	$name	= str_replace('&szlig;', "ss", $name);   
	
	return $name;
}

function mysql_prep($value)
{
	$magic_quotes_active = get_magic_quotes_gpc();
	$new_enough_php = function_exists("mysql_real_escape_string"); // i.e. PHP>=v4.3.0
	if ($new_enough_php) //PHP v4.3.0 or higher: undo any magic quote effects so mysql_real_escape_string can do the work
	{
		if($magic_quotes_active)
		{
			$value = stripslashes($value);
		}
		$value = mysql_real_escape_string($value);
	} else //before PHP v4.3.0
	// if magic quotes aren't already on then add slashes manually
	{
		if(!magic_quotes_active)
		{
			$value = addslashes($value);
		}
		//if magic quotes are active, then slashes already exist
	}
	
	$value = htmlentities($value);
	return $value;
}



?>